%define name	support-tools
%define	ver	3.0
%define	rel	9%{?dist}

Summary: The useful tools for support work.
Name:		%{name}
Version:	%{ver}
Release:	%{rel}
License:	GPL
Group: Utilities/System
URL: http://www.miraclelinux.com/
Source:		%{name}.tar.bz2
BuildRoot: /var/tmp/%{name}-%{version}
Buildarch: noarch
Requires: bash, sed

Source1: COPYING
Source2: mcinfo-extension
Source3: functions

Patch0: support-tools-3.0-3AXS3-collect-axtu-info.patch
Patch1: support-tools-3.0-ipmi.patch
Patch2: support-tools-3.0-hardware.patch
Patch3: support-tools-3.0-hardware-rtc.patch
Patch4: support-tools-extension.patch
Patch5: support-tools-save-log.patch
Patch6: support-tools-3.0-mcinfo-fix-output
Patch7: support-tools-add-files-for_axs4.patch
Patch8: support-tools-collect-abrt.patch

%description
This package is a collection of utilities for support work, such as, 
analysis of obstacle, and so on.
It includes the tools to get the machine information.

%changelog
* Thu Aug 25 2011 Mika Kamei <mika.kamei@miraclelinux.com> 3.0-9%{?dist}
- support for Asianux Server 4 (AXBug#9507)
  - fix support-tools-save-log.patch for AXS4
  - remove mcinfo.orig to avoid build error
  - remove Source0 because source package is duplicated
  - gather /etc/dracut.conf, /etc/sysconfig/selinux (Patch7)
  - gather backtrace and coredump if abrt daemon works (Patch8)

* Tue Jul 13 2010 Tuananh Pham <anh.pt@asianux.com> 3.0-8%{?dist}
- fix output is broken in the mcinfo (Patch#6, AXBug#8420)

* Tue Feb 16 2010 Mika Kamei <mkamei@miraclelinux.com> 3.0-7%{?dist}
- merge mcinfo-extension patches from AXS2 (AXBug#7750)
  - add mcinfo-extension to execute third party scripts
    to use this function, put the scripts into /etc/mcinfo.d and configure
    /etc/mcinfo.d/mcinfo-extension (Source2, Patch4)
  - archive logs in /var/tmp/mcinfo/outfiles (Patch5)
  - add the description about mcinfo extension to help

* Thu Jun  4 2009 Masayuki MORIYAMA <moriyama@miraclelinux.com> 3.0-6%{?dist}
- change /proc/rtc to /proc/driver/rtc (patch3, AXBug #6393)

* Mon Mar 16 2009 Hua Jie <jie.hua@asianux.com> 3.0-5%{?dist}
- add support for hardware informations (patch2, AXBug #5896)

* Thu Nov 13 2008 Makoto Kato <mkato@miraclelinux.com> 3.0-4%{?dist}
- Initial support for IPMI information (Patch1, AXBug#5331)

* Wed Feb 20 2008 Kazuo YAGI <kyagi@miraclelinux.com> 3.0-3AX
- add support for axtu information.

* Tue Jul 17 2007 Ryoji Kamei <kamei@miraclelinux.com> 3.0-2AX
- allow mcinfo output redirection or pipe like old one (Source, #3297)

* Tue Jul  3 2007 Ryoji Kamei <kamei@miraclelinux.com> 3.0-1AX
- Bump up version 3.0
-	support Asianux Server 3
-	  tune gathering for kernel 2.6.18, and support 4 platforms
-	new feature: gather x.org information
-	new feature: gather cron information
-	new feature: gathered information are archived and
-	  compressed into a file.

* Tue May 22 2007 Ryoji Kamei <kamei@miraclelinux.com> 2.0-6AX
- skip "cat /proc/pci" if is is not found. Engineer can obtain
- PCI information from lspci's output, either.

* Wed Mar 14 2007 Xiao Liu <xiaoliu@redflag-linux.com> 2.0-5AX
- change Copyright to License

* Thu Apr  6 2006 Shiro Yamada <shiro@miraclelinux.com> 2.0-4AX
- enhance mcinfo to obtain more info such as sar and ifconfig

* Wed Mar 22 2006 Shiro Yamada <shiro@miraclelinux.com> 2.0-3AX
- fix mcinfo to display Logical Volumes correctly

* Mon Mar 20 2006 Shiro Yamada <shiro@miraclelinux.com> 2.0-2AX
- replace uname -r with uname -a
- cat /etc/mdadm.conf

* Mon May 16 2005 Shiro Yamada <shiro@miraclelinux.com> 2.0-1AX
- version up to 2.0
- cat /etc/modprobe.conf instead of /etc/modules.conf

* Mon Mar 22 2004 Jun YOSHDA <jun@miraclelinux.com> 1.4-9AX
- changed so that lspci is invoked by full path name.

* Mon Mar 17 2003 Tatsuo Ito <tito@miraclelinux.com> 1.4-8ml
- modify mcinfo drastically

* Fri Nov 09 2001 Tatsuo Ito <tito@miraclelinux.com>
- modify the process for /proc/scsi/scsi
- show ulimit size

* Tue Aug 28 2001 Tatsuo Ito <tito@miraclelinux.com> 1.4-4ml
- lspci was executed by mcinfo

* Thu Jul 26 2001 Tatsuo Ito <tito@miraclelinux.com>
- modify typo in the section of description

* Mon Jul 23 2001 Tatsuo Ito <tito@miraclelinux.com>
- dname -I -> cat /etc/miraclelinux-release 
- change how to execute 'fdisk -l /dev/hd*'

* Mon Jun 04 2001 Tatsuo Ito <tito@miraclelinux.com>
- version 1.4-1
- add df -i command

* Mon Apr 9 2001 Tatsuo Ito <tito@miraclelinux.com>
- version 1.3-1
- add rpm -qa command 

* Fri Feb 16 2001 Tatsuo Ito <tito@miraclelinux.com>
- version 1.2-1
- add functionality into mcinfo: show the output of ipcs and ps command.

* Fri Jan 26 2001 Tatsuo Ito <tito@miraclelinux.com>
- version 1.1-1
- add functionality into mcinfo: show /etc/fstab, fdisk, and lsmod.

* Wed Aug 23 2000 Tatsuo Ito <tito@miraclelinux.com>
- First release.

%prep
%setup -n %{name}
%patch0 -p0
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1

%install
rm -rf $RPM_BUILD_ROOT
rm -f scripts/mcinfo.orig
install -d $RPM_BUILD_ROOT/usr/sbin
install -m 700 scripts/* $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/share/doc/mcinfo
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/usr/share/doc/mcinfo
mkdir -p $RPM_BUILD_ROOT/etc/mcinfo.d
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/etc/mcinfo.d
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT/etc/mcinfo.d
mkdir -p $RPM_BUILD_ROOT/var/tmp/mcinfo/outfiles

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/sbin/mcinfo
%dir /etc/mcinfo.d
/etc/mcinfo.d/functions
%dir /var/tmp/mcinfo/outfiles
%config (noreplace) /etc/mcinfo.d/mcinfo-extension
/usr/share/doc/mcinfo/COPYING
%doc /usr/share/doc/mcinfo/COPYING
